CMSIS-Driver: SPI Mode Controls

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
SPI Mode Controls
SPI Control Codes

Specifies SPI mode. More...

## Macros

#define | ARM_SPI_MODE_INACTIVE (0x00UL << ARM_SPI_CONTROL_Pos)
| SPI Inactive. More...
#define | ARM_SPI_MODE_MASTER (0x01UL << ARM_SPI_CONTROL_Pos)
| SPI Master (Output on MOSI, Input on MISO); arg = Bus Speed in bps. More...
#define | ARM_SPI_MODE_SLAVE (0x02UL << ARM_SPI_CONTROL_Pos)
| SPI Slave (Output on MISO, Input on MOSI) More...

## Description

Specifies SPI mode.

## Macro Definition Documentation

#define ARM_SPI_MODE_INACTIVE (0x00UL << ARM_SPI_CONTROL_Pos)

SPI Inactive.

See Also
  ARM_SPI_Control

#define ARM_SPI_MODE_MASTER (0x01UL << ARM_SPI_CONTROL_Pos)

SPI Master (Output on MOSI, Input on MISO); arg = Bus Speed in bps.

See Also
  ARM_SPI_Control

#define ARM_SPI_MODE_SLAVE (0x02UL << ARM_SPI_CONTROL_Pos)

SPI Slave (Output on MISO, Input on MOSI)

See Also
  ARM_SPI_Control